OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESBasic

# IGESBasic_ExternalRefLibName Class Reference

defines ExternalRefLibName, Type <416> Form <4>
in package IGESBasic
Used when it is assumed that a copy of the subfigure
exists in native form in a library on the receiving
system

`#include <IGESBasic_ExternalRefLibName.hxx>`

Inheritance diagram for IGESBasic_ExternalRefLibName:

[legend]

## Public Member Functions
Standard_EXPORT | IGESBasic_ExternalRefLibName ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aLibName, const Handle(TCollection_HAsciiString)&anExtName)
| This method is used to set the fields of the class ExternalRefLibName - aLibName : Name of library in which ExtName resides - anExtName : External Reference Entity Symbolic Name .
Standard_EXPORT Handle_TCollection_HAsciiString | LibraryName () const
| returns name of library in which External Reference Entity Symbolic Name resides
Standard_EXPORT Handle_TCollection_HAsciiString | ReferenceName () const
| returns External Reference Entity Symbolic Name
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | theLibName
Handle_TCollection_HAsciiString | theExtRefEntitySymbName

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_ExternalRefLibName::IGESBasic_ExternalRefLibName | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESBasic_ExternalRefLibName::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESBasic_ExternalRefLibName::Init | ( | const Handle(TCollection_HAsciiString)& | aLibName,
|  | const Handle(TCollection_HAsciiString)& | anExtName
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString IGESBasic_ExternalRefLibName::LibraryName | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString IGESBasic_ExternalRefLibName::ReferenceName | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString IGESBasic_ExternalRefLibName::theExtRefEntitySymbName`[private]`

Handle_TCollection_HAsciiString IGESBasic_ExternalRefLibName::theLibName`[private]`

The documentation for this class was generated from the following file:

- IGESBasic_ExternalRefLibName.hxx